<?xml version='1.0' encoding='iso-8859-1'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="utf-8" omit-xml-declaration="yes"/>

<xsl:template match="/">
graph G 
{
  node [URL="\N.html"]
  <xsl:for-each select="/BlendFile/*">
    <xsl:value-of select="@ID"/> [label="<xsl:value-of select="name()"/><xsl:if test="ID/Variable[@Type='string']">: <xsl:value-of select="ID/Variable[@Type='string']/Data/@Value"/></xsl:if><xsl:if test="Variable[@Type='string']">: <xsl:value-of select="Variable[@Type='string']/Data/@Value"/></xsl:if>",shape=<xsl:choose><xsl:when test="name()='Object'">egg</xsl:when><xsl:when test="name()='Tex'">box</xsl:when><xsl:otherwise>ellipse</xsl:otherwise></xsl:choose>]<xsl:text>
</xsl:text>


    <xsl:for-each select="Variable[@Type='ID']">
      <xsl:value-of select="../@ID"/> -- <xsl:value-of select="Data/@Value"/> <!--[label="<xsl:value-of select="@Name"/>"]--><xsl:text>
</xsl:text>
    </xsl:for-each>

  </xsl:for-each>
}
</xsl:template>

</xsl:stylesheet>
